rules:
    - id: get-users-printed
      patterns:
      - pattern: # Add pattern
      message: "First pattern"
      languages: [python]
      severity: ERROR

    - id: get-all-os-methods
      patterns:
      - pattern: # Add pattern
      message: "Second pattern"
      languages: [python] 
      severity: ERROR      

    - id: match-parameters-with-no-order
      patterns:
      - pattern: # Add pattern
      message: "Third pattern"
      languages: [python]
      severity: ERROR  

# UNCOMMENT THE FOLLWOING CODE BLOCKS ONLY WHEN NEEDED
#    - id: use-string-equals
#      patterns:
#      # implement - pattern-either:
#      message: "Fourth pattern"
#      languages: [python]
#      severity: ERROR  
 
#    - id: subprocess-call
#      patterns:
#      - pattern: subprocess.call(...)
#      # Implement pattern-not:
#      message: "Fifth pattern"
#      languages: [python]
#      severity: ERROR

#    - id: pattern-inside
#      patterns:
#      # Implement - pattern-inside:
#      message: "Sixth pattern"
#      languages: [python]
#      severity: ERROR
      